SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

IF OBJECT_ID('fnGetDokumentumRendszerbeallitasLogikaiErtek') IS NOT NULL
BEGIN
  DROP FUNCTION fnGetDokumentumRendszerbeallitasLogikaiErtek
END
GO

CREATE FUNCTION fnGetDokumentumRendszerbeallitasLogikaiErtek (
  @tanevId    INT,
  @beallitasTipusId  INT
) RETURNS TABLE 
RETURN (
  SELECT TOP (1) IIF(C_ERTEK LIKE '%value%:%true%', 1, 0) AS LogikaiErtek
  FROM T_RENDSZERBEALLITAS_OSSZES 
  WHERE C_BEALLITASTIPUS = @beallitasTipusId AND C_TANEVID = @tanevId AND TOROLT = 'F'
)
GO
