﻿IF OBJECT_ID('fnGetDokumentumTanulokOsztalybanToltottNapjai') IS NOT NULL BEGIN
  DROP FUNCTION fnGetDokumentumTanulokOsztalybanToltottNapjai
END
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE FUNCTION fnGetDokumentumTanulokOsztalybanToltottNapjai (@tanevId INT, @osztalyId INT)
  RETURNS TABLE
RETURN (
SELECT 
  C_TANULOID          TanuloId
  , naptar.C_NAPDATUMA    NapDatuma
FROM T_TANULOCSOPORT_OSSZES tcs
  INNER JOIN T_NAPTARINAP_OSSZES naptar 
            ON 
            tcs.C_BELEPESDATUM <= naptar.C_NAPDATUMA 
            AND ISNULL(tcs.C_KILEPESDATUM, (SELECT C_DATUM FROM T_TANEVRENDJE_OSSZES WHERE C_NAPTIPUSA = 1395 AND C_TANEVID = @tanevId AND TOROLT = 'F')) >= naptar.C_NAPDATUMA 
            AND naptar.C_TANEVID = @tanevId 
            AND naptar.TOROLT = 'F'
WHERE 
  C_OSZTALYCSOPORTID = @osztalyId 
  AND tcs.TOROLT = 'F'
)
