﻿DROP PROCEDURE IF EXISTS [dbo].[sp_GetShowNatKerdoivPopup] 
GO

-- =============================================
-- Description:  <Előszedjük a NAT kérdőív adatokat az alkalmazott alapján>
-- =============================================
CREATE PROCEDURE [dbo].[sp_GetShowNatKerdoivPopup]
   @pIntezmenyId          INT
  ,@pTanevId            INT
  ,@pAlkalmazottId        INT
  ,@pBesorolasiFokozatTipusNa    INT

AS
BEGIN

  SET NOCOUNT ON;
    IF EXISTS (
      SELECT 1 
      FROM 
        T_ALKALMAZOTT Alkalmazott
      INNER JOIN
        T_NATKERDOIV_OSSZES NatKerdoiv ON
            NatKerdoiv.C_ALKALMAZOTTID = Alkalmazott.ID
          AND  NatKerdoiv.C_INTEZMENYID = @pIntezmenyId
          AND NatKerdoiv.C_TANEVID = @pTanevId
          AND NatKerdoiv.TOROLT = 'F'
          AND NatKerdoiv.C_ISLATTA = 'T'
      WHERE
          Alkalmazott.ID = @pAlkalmazottId
        AND  Alkalmazott.C_ALINTEZMENYID = @pIntezmenyId
        AND Alkalmazott.C_ALTANEVID = @pTanevId
        AND Alkalmazott.TOROLT = 'F'
    )
      SELECT 0
    ELSE
      SELECT 1

END

GO

