﻿DROP PROCEDURE IF EXISTS uspFeltarAlkalmazottEszkozigenylesAdat
GO
 
CREATE PROCEDURE uspFeltarAlkalmazottEszkozigenylesAdat
   @pTanevId int
  ,@pIntezmenyId int
  ,@pAlkalmazottId int
AS
BEGIN
  SET NOCOUNT ON;

  SELECT 
    eszkozigenyles.C_ISELFOGADOTTASZF
  FROM T_ESZKOZIGENYLES_OSSZES eszkozigenyles
  INNER JOIN T_ALKALMAZOTT_OSSZES alkalmazott ON eszkozigenyles.C_ALKALMAZOTTID = alkalmazott.ID AND alkalmazott.TOROLT = 'F' AND eszkozigenyles.C_TANEVID = alkalmazott.C_ALTANEVID AND eszkozigenyles.C_INTEZMENYID = alkalmazott.C_ALINTEZMENYID
  WHERE eszkozigenyles.TOROLT = 'F'
    AND eszkozigenyles.C_TANEVID = @pTanevId
    AND eszkozigenyles.C_INTEZMENYID = @pIntezmenyId
    AND eszkozigenyles.C_ALKALMAZOTTID = @pAlkalmazottId

END
GO