DROP PROCEDURE IF EXISTS uspGetAdatszotarLathatoElemekNyelv 
GO
  CREATE PROCEDURE uspGetAdatszotarLathatoElemekNyelv
     @pType INT
    ,@pTanevId INT
    ,@pNyelvId INT
    ,@pIntezmenyId INT
  AS
  BEGIN
    SET NOCOUNT ON;

    SELECT dib.ID ID
      ,dib.C_ORDER Sorszam
      ,dibNyelv.C_NAME Megnevezes
      ,dibNyelv.C_NAME_1 Megnevezes1
      ,dibNyelv.C_NAME_2 Megnevezes2
      ,dibNyelv.C_NAME_3 Megnevezes3
      ,dibNyelv.C_NAME_4 Megnevezes4
      ,dib.C_VISIBLE Lathato
      ,dib.C_PROTECTED Protected
      ,dib.C_TYPE Type
      ,dib.C_DICTIONARYTYPEID TypeId
      ,dib.C_COLOR Color
    FROM T_DICTIONARYITEMBASE_OSSZES dib
    INNER JOIN T_DICTIONARYITEMBASENYELV_OSSZES dibNyelv ON dibNyelv.C_DICTIONARYITEMBASEID = dib.ID
      AND dibNyelv.C_NYELVID = @pNyelvId
      AND dibNyelv.TOROLT = 'F'
    WHERE dib.TOROLT = 'F'
      AND dib.C_VISIBLE = 'T'
      AND dib.C_DICTIONARYTYPEID = @pType
      AND dib.C_TANEVID = @pTanevId
      AND dibNyelv.C_TANEVID = @pTanevId
      AND dibNyelv.C_INTEZMENYID = @pIntezmenyId
    ORDER BY dib.C_ORDER
      ,dib.C_NAME
  END
GO


