DROP PROCEDURE IF EXISTS uspGetAlkalmazottTovabbkepzesek
GO

CREATE PROCEDURE uspGetAlkalmazottTovabbkepzesek
   @pAlkalmazottId int
AS

BEGIN

  SELECT 
     tovabbkepzes.ID AS ID
    ,tovabbkepzes.C_TOVABBKEPZESMEGNEVEZESE AS TovabbkepzesMegnevezese
    ,tovabbkepzes.C_TANUSITVANYSORSZAMA AS TanusitvanySorszama
    ,tovabbkepzes.C_ORASZAM AS Oraszam
    ,tovabbkepzes.C_HELYSZIN AS Helyszin
    ,tovabbkepzes.C_ENGEDELYSZAMA AS EngedelySzama
    ,tovabbkepzes.C_DATUM AS Datum
  FROM T_FELHASZNALO_OSSZES felhasznalo
  INNER JOIN T_ALKALMAZOTT_OSSZES alkalmazott ON felhasznalo.ID = alkalmazott.ID
  INNER JOIN (
    SELECT f.ID, f.C_IDPEGYEDIAZONOSITO
    FROM T_FELHASZNALO_OSSZES f
    INNER JOIN T_ALKALMAZOTT_OSSZES a ON f.ID = a.ID
    WHERE f.TOROLT = 'F' AND a.TOROLT = 'F'
  ) alkalmazottAllTanev ON felhasznalo.C_IDPEGYEDIAZONOSITO = alkalmazottAllTanev.C_IDPEGYEDIAZONOSITO
  INNER JOIN T_TOVABBKEPZES_OSSZES tovabbkepzes ON tovabbkepzes.C_ALKALMAZOTTID = alkalmazottAllTanev.ID
  WHERE felhasznalo.TOROLT = 'F' AND alkalmazott.TOROLT = 'F' AND tovabbkepzes.TOROLT = 'F'
    AND felhasznalo.ID = @pAlkalmazottId

END
GO