DROP PROCEDURE  IF EXISTS uspGetCsoportAktualisLetszam 
GO

CREATE PROCEDURE uspGetCsoportAktualisLetszam
  @pCsoportId INT
AS
BEGIN
  SET NOCOUNT ON;

  SELECT count(1)
  FROM T_TANULOCSOPORT_OSSZES tcs
  INNER JOIN T_CSOPORT_OSSZES cs ON cs.ID = tcs.C_OSZTALYCSOPORTID
  WHERE cs.TOROLT = 'F'
    AND tcs.TOROLT = 'F'
    AND tcs.C_BELEPESDATUM <= GETDATE()
    AND (
      tcs.C_KILEPESDATUM IS NULL
      OR tcs.C_KILEPESDATUM > GETDATE()
      )
    AND cs.ID = @pCsoportId
END
GO


