DROP PROCEDURE  IF EXISTS uspGetOsztalyokEugyintezesByKretaAzonosito 
GO

CREATE PROCEDURE uspGetOsztalyokEugyintezesByKretaAzonosito
   @pTanevId INT
AS
BEGIN
  SET NOCOUNT ON;

  SELECT OsztalyCsoport.ID AS KretaAzonosito
    ,OsztalyCsoport.C_NEV AS Nev
    ,OsztalyCsoport.C_FELADATKATEGORIAID AS OktNevelesiKategoriaKretaAzonosito
  FROM T_OSZTALYCSOPORT_OSSZES OsztalyCsoport
  WHERE OsztalyCsoport.C_TANEVID = @pTanevId
    AND EXISTS (
      SELECT 1
      FROM T_OSZTALY_OSSZES Osztaly
      INNER JOIN T_OSZTALYCSOPORT_OSSZES InnerOsztalyCsoport ON InnerOsztalyCsoport.ID = Osztaly.ID
        AND InnerOsztalyCsoport.TOROLT = 'F'
      WHERE Osztaly.ID = OsztalyCsoport.ID
        AND Osztaly.TOROLT = 'F'
      )
    AND OsztalyCsoport.TOROLT = 'F'
END
GO


