DROP PROCEDURE IF EXISTS uspUpdateCsengetesiRend
GO

CREATE PROCEDURE uspUpdateCsengetesiRend
 @newCsengetesiRendId            INT,
 @oldCsengetesiRendId            INT
AS
BEGIN
SET NOCOUNT ON;
  UPDATE tt SET
    C_CSENGETESIRENDID=@newCsengetesiRendId
   ,C_CSENGETESIRENDORAID=csro2.ID
 FROM T_CSENGETESIREND csr
   INNER JOIN T_CSENGETESIRENDORA csro ON csro.C_CSENGETESIRENDID=csr.ID
   INNER JOIN T_CSENGETESIRENDORA csro2 ON csro2.C_ORASZAM=csro.C_ORASZAM AND csro2.C_CSENGETESIRENDID=@newCsengetesiRendId
   INNER JOIN T_TANITASIORA tt ON tt.C_CSENGETESIRENDID=csr.ID AND tt.C_ORASZAM=csro2.C_ORASZAM
 WHERE csr.ID=@oldCsengetesiRendId

 UPDATE oo SET
    C_CSENGETESIRENDID=@newCsengetesiRendId
   ,C_CSENGETESIRENDORAID=csro2.ID
   ,C_ORAKEZDETE=csro2.C_KEZDETE
   ,C_ORAVEGE=csro2.C_VEGE
 FROM T_CSENGETESIREND csr
   INNER JOIN T_CSENGETESIRENDORA csro ON csro.C_CSENGETESIRENDID=csr.ID
   INNER JOIN T_CSENGETESIRENDORA csro2 ON csro2.C_ORASZAM=csro.C_ORASZAM AND csro2.C_CSENGETESIRENDID=@newCsengetesiRendId
   INNER JOIN T_ORARENDIORA oo ON oo.C_CSENGETESIRENDID=csr.ID AND oo.C_ORASZAM=csro2.C_ORASZAM
 WHERE csr.ID=@oldCsengetesiRendId

 UPDATE T_CSENGETESIRENDORA SET TOROLT='T' WHERE C_CSENGETESIRENDID=@oldCsengetesiRendId
 UPDATE T_CSENGETESIREND SET TOROLT='T' WHERE ID=@oldCsengetesiRendId
END
GO