
IF OBJECT_ID('dbo.fnGetDokumentumTanuloAktualisCsoportvezeto') IS NOT NULL BEGIN
  DROP FUNCTION dbo.fnGetDokumentumTanuloAktualisCsoportvezeto
END
GO

CREATE FUNCTION dbo.fnGetDokumentumTanuloAktualisCsoportvezeto (@tanuloId INT, @osztalyCsoportId INT)
  RETURNS NVARCHAR(MAX)
BEGIN  
  DECLARE @value NVARCHAR(MAX)
  
  SELECT TOP 1  
    @value = f.C_NYOMTATASINEV
  FROM T_TANULOCSOPORT_OSSZES tcs
    INNER JOIN T_CSOPORT_OSSZES cs ON tcs.C_OSZTALYCSOPORTID = cs.ID
    INNER JOIN T_FELHASZNALO_OSSZES f ON cs.C_CSOPORTVEZETOID = f.ID
  WHERE 
    tcs.C_TANULOID = @tanuloId
    AND tcs.C_OSZTALYCSOPORTID = @osztalyCsoportId
    AND tcs.TOROLT = 'F'
  ORDER BY C_KILEPESDATUM 
  
  RETURN @value  
END;
GO

