﻿-- =============================================
-- Description:  <Ellenőrizzuk, hogy az alkalmazott közösségi szolgálat kezelő-e>
-- =============================================

DROP PROCEDURE IF EXISTS sp_IsKozossegiSzolgalatKezelo
GO

CREATE PROCEDURE sp_IsKozossegiSzolgalatKezelo
  @pAlkalmazottId AS INT,
    @pTanevId AS INT
AS
BEGIN

  SET NOCOUNT ON;

  IF EXISTS(
    SELECT 1
    FROM
      T_ALKALMAZOTT_OSSZES alkalmazott
    WHERE
      alkalmazott.TOROLT = 'F'
    AND alkalmazott.ID = @pAlkalmazottId
        AND alkalmazott.C_ALTANEVID = @pTanevId
    AND alkalmazott.C_KOZOSSEGISZOLGALATKEZELO = 'T'
  )
    SELECT 1
  ELSE
    SELECT 0

END
GO

