﻿DROP PROCEDURE IF EXISTS uspGetDualisSzerzodesId
GO

CREATE PROCEDURE uspGetDualisSzerzodesId
   @pIntezmenyId int
  ,@pTanevId int
  ,@pFelhasznaloId int
  ,@pTanuloId int
  
AS
BEGIN
  SET NOCOUNT ON;

SELECT
  dszf.ID
FROM T_DUALISSZERZODESFILE_OSSZES dszf
  INNER JOIN T_FILE f ON f.ID = dszf.C_FILEID AND f.TOROLT = 'F'
WHERE dszf.TOROLT = 'F'
  AND dszf.C_ISALKALMAZOTTALTALTOROLT = 'F'
  AND dszf.C_TANULOID = @pTanuloId
  AND f.C_FELHASZNALOID = @pFelhasznaloId
  AND dszf.C_INTEZMENYID = @pIntezmenyId
  AND dszf.C_TANEVID = @pTanevId
ORDER BY dszf.LASTCHANGED DESC
  
END
GO
