DROP PROCEDURE  IF EXISTS uspGetEUgyintezokBySzerepkorTipus 
GO

CREATE PROCEDURE uspGetEUgyintezokBySzerepkorTipus
    @pSzerepkorTipus INT
   ,@pTanevId INT
AS
BEGIN
  SET NOCOUNT ON;

  SELECT DISTINCT Alkalmazott.ID AS KretaAzonosito
    ,Felhasznalo.C_NYOMTATASINEV AS Nev
    ,MunkaugyiAdatok.C_VEZETOIORASZAMOK AS Titulus
    ,Felhasznalo.C_EGYEDIAZONOSITO AS EgyediAzonosito
    ,Felhasznalo.C_IDPEGYEDIAZONOSITO AS IdpEgyediAzonosito
  FROM T_ALKALMAZOTT_OSSZES AS Alkalmazott
  INNER JOIN T_FELHASZNALO_OSSZES AS Felhasznalo ON Alkalmazott.ID = Felhasznalo.ID AND Felhasznalo.TOROLT = 'F'
  INNER JOIN T_MUNKAUGYIADATOK_OSSZES MunkaugyiAdatok ON MunkaugyiAdatok.C_ALKALMAZOTTID = Alkalmazott.ID  AND MunkaugyiAdatok.TOROLT = 'F'
  INNER JOIN T_FELHASZNALO_SZEREPKOR fsz ON fsz.C_FELHASZNALOID = Alkalmazott.ID
  INNER JOIN T_SZEREPKOR_OSSZES sz ON sz.ID = fsz.C_SZEREPKORID AND sz.TOROLT = 'F'
  INNER JOIN T_SZEREPKORTIPUS_OSSZES szt ON szt.ID = sz.C_SZEREPKORTIPUS AND szt.TOROLT = 'F'
    AND sz.C_SZEREPKORTIPUS = @pSzerepkorTipus
  WHERE Alkalmazott.TOROLT ='F'
    AND Alkalmazott.C_ALTANEVID = @pTanevId
  ORDER BY Felhasznalo.C_NYOMTATASINEV
END
GO


