﻿DROP PROCEDURE IF EXISTS uspGetNemKotottMunkaIdoHelyettesiteshez
GO

CREATE PROCEDURE uspGetNemKotottMunkaIdoHelyettesiteshez
   @TanevId int
  ,@IdoszakKezdete datetime
  ,@IdoszakVege datetime
AS
BEGIN
  SET NOCOUNT ON;

  SELECT
     nkm.ID as Id
    ,nkm.C_TANARID as TanarID
    ,nkm.C_KEZDETE as Kezdete
    ,nkm.C_VEGE as Vege
    ,nkm.C_MEGTARTOTT as Megtartott
  FROM T_NEMKOTOTTMUNKAIDO_OSSZES nkm
  WHERE
        nkm.TOROLT = 'F'  AND nkm.C_TANEVID = @TanevId
    AND nkm.C_VEGE >= @IdoszakKezdete
    AND nkm.C_KEZDETE <= @IdoszakVege

    AND (C_ADMINALTALTOROLT = 'F' OR (C_ADMINALTALTOROLT = 'T' AND C_MEGTARTOTT = 'T'))

END
GO