DROP PROCEDURE  IF EXISTS uspGetSZMKOsztalyokEugyintezes 
GO

CREATE PROCEDURE uspGetSZMKOsztalyokEugyintezes
  @pGondviseloKretaAzonosito INT
AS
BEGIN
  SET NOCOUNT ON;

  SELECT OsztalyCsoport.ID AS KretaAzonosito
    ,OsztalyCsoport.C_NEV AS Nev
  FROM T_OSZTALYCSOPORT_OSSZES OsztalyCsoport
  WHERE EXISTS (
      SELECT 1
      FROM T_OSZTALY_OSSZES Osztaly
      INNER JOIN T_OSZTALYCSOPORT_OSSZES InnerOsztalyCsoport ON InnerOsztalyCsoport.ID = Osztaly.ID
        AND InnerOsztalyCsoport.TOROLT = 'F'
      WHERE (
          Osztaly.C_SZMKKEPVISELOID = @pGondviseloKretaAzonosito
          OR Osztaly.C_SZMKKEPVISELOHELYETTESID = @pGondviseloKretaAzonosito
          )
        AND Osztaly.TOROLT = 'F'
        AND Osztaly.ID = OsztalyCsoport.ID
      )
    AND OsztalyCsoport.TOROLT = 'F'
END
GO


