DROP PROCEDURE  IF EXISTS uspGetTanitottOsztalyokEugyintezes 
GO

CREATE PROCEDURE uspGetTanitottOsztalyokEugyintezes
  @pAlkalmazottId INT
AS
BEGIN
  SET NOCOUNT ON;

  SELECT DISTINCT Osztaly.ID AS KretaAzonosito
    ,OsztalyCsoport.C_NEV AS Nev
    ,OsztalyCsoport.C_FELADATKATEGORIAID AS OktNevelesiKategoriaKretaAzonosito
  FROM T_FOGLALKOZAS_OSSZES Foglalkozas
  INNER JOIN T_OSZTALYCSOPORT_OSSZES OsztalyCsoport ON OsztalyCsoport.ID = Foglalkozas.C_OSZTALYCSOPORTID
    AND OsztalyCsoport.TOROLT = 'F'
  INNER JOIN T_OSZTALY_OSSZES Osztaly ON Osztaly.ID = OsztalyCsoport.ID
    AND Osztaly.TOROLT = 'F'
  WHERE Foglalkozas.TOROLT = 'F'
    AND C_TANARID = @pAlkalmazottId
  
  UNION
  
  SELECT DISTINCT o.ID AS KretaAzonosito
    ,ocs.C_NEV AS Nev
    ,ocs.C_FELADATKATEGORIAID AS OktNevelesiKategoriaKretaAzonosito
  FROM T_HELYETTESITESIIDOSZAK_OSSZES hi
  INNER JOIN T_ORARENDIORA_OSSZES oo ON oo.ID = hi.C_HELYETTESITETTORARENDID
    AND oo.TOROLT = 'F'
  INNER JOIN T_OSZTALYCSOPORT_OSSZES ocs ON ocs.ID = oo.C_OSZTALYCSOPORTID
    AND ocs.TOROLT = 'F'
  INNER JOIN T_OSZTALY_OSSZES o ON o.ID = ocs.ID
    AND o.TOROLT = 'F'
  WHERE hi.C_HELYETTESTANAROKID = @pAlkalmazottId
    AND hi.TOROLT = 'F'
    AND C_GROUPID IS NOT NULL
END
GO


