﻿DROP PROCEDURE IF EXISTS uspGetTanuloSzirBeallitasokExport 
GO
  CREATE PROCEDURE uspGetTanuloSzirBeallitasokExport      
     @pTanevId int
    ,@pIntezmenyId int
    ,@pTanuloIds nvarchar (max)
  AS
  BEGIN
    SET NOCOUNT ON;

    CREATE TABLE #TanuloIds (Id int)

    INSERT INTO #TanuloIds(Id)
      SELECT value FROM STRING_SPLIT(@pTanuloIds,',')

    SELECT
       felhasznalo.C_ELOTAG AS Elotag
      ,felhasznalo.C_VEZETEKNEV AS Vezeteknev
      ,felhasznalo.C_UTONEV AS Utonev
      ,felhasznalo.C_OKTATASIAZONOSITO AS OktatasiAzonosito
      ,tanulo.C_ISKULDHETOERETTSEGISZRNEK AS KuldhetoErettsegiSzRnek
      ,tanulo.C_ISKULDHETOMERESISZRNEK AS KuldhetoMeresiSzRnek
      ,tanulo.C_ISKULDHETOKOZEPFELVETELISZRN AS KuldhetoKozepFelveteliSzRnek
      ,tanulo.C_ISDIAKIGAZOLVANYATADHATOSZRN AS DiakigazolvanyAtadhatoSzRnek
    FROM T_TANULO_OSSZES tanulo
    INNER JOIN T_FELHASZNALO_OSSZES felhasznalo ON felhasznalo.ID = tanulo.ID
                                               AND felhasznalo.C_TANEVID = tanulo.C_ALTANEVID
                                               AND felhasznalo.C_INTEZMENYID = tanulo.C_ALINTEZMENYID
                                               AND felhasznalo.TOROLT = 'F'
    INNER JOIN #TanuloIds tanuloLista ON tanuloLista.ID = tanulo.ID
    WHERE tanulo.C_ALTANEVID = @pTanevId
      AND tanulo.C_ALINTEZMENYID = @pIntezmenyId
      AND tanulo.TOROLT = 'F'

    DROP TABLE #TanuloIds

  END
GO
