DROP PROCEDURE IF EXISTS uspUpdateCsoportTipus 
GO
  CREATE PROCEDURE uspUpdateCsoportTipus
     @pId INT
    ,@pIsTanoraiCelu CHAR(1)
    ,@pOraPerc INT
    ,@pIntezmenyId INT
    ,@pTanevId INT
    ,@pUserId INT
  AS
  BEGIN
    SET NOCOUNT ON;

    UPDATE T_CSOPORTTIPUS_OSSZES
    SET  C_ISTANORAICELU = @pIsTanoraiCelu
      ,C_ORAPERC = @pOraPerc
      ,SERIAL = SERIAL + 1
      ,LASTCHANGED = GETDATE()
      ,MODIFIER = @pUserId
    WHERE ID = @pId
      AND C_ALINTEZMENYID = @pIntezmenyId
      AND C_ALTANEVID = @pTanevId
  END
GO


