﻿DROP PROCEDURE IF EXISTS dbo.uspUpdateOsztalyTanuloiReszszakepzesAdatok
GO

CREATE PROCEDURE dbo.uspUpdateOsztalyTanuloiReszszakepzesAdatok
    @pOsztalyId INT
   ,@pTanevId INT
   ,@pIntezmenyId INT
   ,@pModifier INT
AS
BEGIN
  SET NOCOUNT ON;  
UPDATE tanugy
    SET
       tanugy.C_AGAZATRESZSZAKMATIPUSID = NULL
      ,tanugy.C_RESZSZAKMATIPUSID = NULL
      ,tanugy.C_SZAKMARESZSZAKMATIPUSID = NULL
      ,tanugy.SERIAL = tanugy.SERIAL +1
      ,tanugy.LASTCHANGED = GETDATE()
      ,tanugy.MODIFIER = @pModifier
  FROM T_TANULOTANUGYIADATOK_OSSZES tanugy
    INNER JOIN T_TANULOCSOPORT_OSSZES tcs ON tcs.ID = tanugy.C_TANULOCSOPORTID AND tcs.TOROLT = 'F'
  WHERE tcs.C_OSZTALYCSOPORTID = @pOsztalyId
    AND tanugy.TOROLT = 'F'
    AND tcs.C_BELEPESDATUM < GETDATE() 
    AND (tcs.C_KILEPESDATUM IS NULL OR tcs.C_KILEPESDATUM > GETDATE())
    AND tanugy.C_TANEVID = @pTanevId
    AND tanugy.C_INTEZMENYID = @pIntezmenyId

END
GO